import * as Lib from "pubsub-to-rpc-api";
import { Observable } from "rxjs";
export declare type Any = any;
export declare type Arguments<F extends (...x: Any[]) => Any> = F extends (...args: infer A) => Any ? A : never;
export declare type Unpacked<T> = T extends Promise<infer U2> ? U2 : T extends Observable<infer U3> ? U3 : T;
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export declare const MODULE_NAME = "electron-rpc-api";
export declare const ONE_SECOND_MS = 1000;
export declare const BASE_TIMEOUT_MS = 0;
export declare const EMPTY_FN: Lib.Model.LoggerFn;
export declare const LOG_STUB: Readonly<Lib.Model.Logger>;
